#
# spec file for package zathura-plugin-djvu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define realname zathura-djvu
Name:           zathura-plugin-djvu
Version:        0.2.6
Release:        lp150.1.2
Summary:        Adds DjVu support to zathura by using the djvulibre library
License:        Zlib
Group:          Productivity/Office/Other
Url:            http://pwmt.org/projects/zathura/plugins/zathura-djvu/
Source:         http://pwmt.org/projects/zathura/plugins/download/%{realname}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(girara-gtk3)
BuildRequires:  pkgconfig(zathura)
Requires:       zathura
Provides:       zathura-djvu-plugin

%description
The zathura-djvu plugin adds DjVu support to zathura by using the djvulibre library.

%prep
%setup -q -n %{realname}-%{version}

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} VERBOSE=1 SFLAGS=""

%install
%make_install LIBDIR=%{_libdir} SFLAGS=""
find %{buildroot} -name '*.desktop' -delete -print

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files -n %{name}
%doc AUTHORS LICENSE
%dir %{_libdir}/zathura
%{_libdir}/zathura/djvu.so

%changelog
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.2.6
  * adapt to new plugin interface
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 0.2.5
  * Advertise URL support
* Fri Nov 21 2014 mimi.vx@gmail.com
- add requires zathura
* Sun Nov 16 2014 mimi.vx@gmail.com
- rename to zathura-plugin-djvu
* Tue Oct 28 2014 mimi.vx@gmail.com
- change license to Zlib
* Mon Oct 27 2014 mimi.vx@gmail.com
- SFLAGS=:: to get debuginfo
* Thu Oct 23 2014 mimi.vx@gmail.com
- initial commit of zathura djvu plugin
